@import "libs/shared/assets/src/global-style/variable";
@import "libs/shared/assets/src/global-style/color";
:host {
  width: 100%;
}

.step-init {
  padding:20px 0px 20px 15px;
  ::ng-deep {

    .ant-steps {
      display: contents;
    }

    .ant-steps-item-icon {
      position: absolute;
      z-index: 8;
      left: 35px;
      top:15px
    }

    .ant-steps-item-title::after {
      display: none;
    }

    .ant-steps-item-wait {
      .ant-steps-item-icon {
        background: #A0A3BD;
        border-color: #A0A3BD
      }

      .ant-steps-item-icon>.ant-steps-icon {
        color: white !important;
      }

      .ant-steps-item-title {
        top:15px;
        z-index: 8;
        left: 70px;
        color: $bg-gray-placeholder !important;
        font-weight: bold;
        position: absolute;
      }

      .ant-steps-item-container {
        height: 56px !important;
        text-align: center;
        position: relative !important;
        overflow: inherit !important;
        width: 300px;
        &::before {
          content: "";
          position: absolute;
          left: 10px;
          width: 272px;
          height: 28px;
          border-top: 1px solid $bg-stepper-border-active;
          border-right: 1px solid $bg-stepper-border-active;
          border-left: 1px solid $bg-stepper-border-active;
          background: $bg-content-default;
          -moz-transform: skew(30deg);
          -webkit-transform: skew(30deg);
          transform: skew(30deg);
          box-shadow: 0px 1px 2px $bg-stepper-box-shadow;
          border-top-left-radius: 7px;
          border-top-right-radius: 3px;
          border-bottom-right-radius: 2px;
        }
        &::after {
          content: "";
          position: absolute;
          left: 10px;
          width: 272px;
          height: 28px;
          bottom: 2px;
          border-left: 1px solid $bg-stepper-border-active;
          border-right: 1px solid $bg-stepper-border-active;
          border-bottom: 1px solid $bg-stepper-border-active;
          background: $bg-content-default;
          -moz-transform: skew(-30deg);
          -webkit-transform: skew(-30deg);
          transform: skew(-30deg);
          box-shadow: 0px 1px 2px $bg-stepper-box-shadow;
          border-bottom-left-radius: 7px;
          border-bottom-right-radius: 3px;
          border-top-right-radius: 2px;
        }
      }
    }

    .ant-steps-item-process  {

      .ant-steps-item-icon {
        background: $bt-primary-default;
        border-color: $bt-primary-default;
      }

      .ant-steps-item-icon>.ant-steps-icon {
        color: white !important;
      }

      .ant-steps-item-title {
        top:15px;
        z-index: 8;
        left: 70px;
        color: $bt-primary-default;
        font-weight: bold;
        position: absolute;
      }


      .ant-steps-item-container {
        height: 56px !important;
        text-align: center;
        position: relative !important;
        overflow: inherit !important;
        width: 300px;
        &::before {
          content: "";
          position: absolute;
          left: 10px;
          width: 272px;
          height: 28px;
          border-top: 1px solid $bg-stepper-border-edited;
          border-right: 1px solid $bg-stepper-border-edited;
          border-left: 1px solid $bg-stepper-border-edited;
          background: $bg-stepper-selected;
          -moz-transform: skew(30deg);
          -webkit-transform: skew(30deg);
          transform: skew(30deg);
          box-shadow: 0px 1px 2px $bg-stepper-box-shadow;
          border-top-left-radius: 7px;
          border-top-right-radius: 3px;
          border-bottom-right-radius: 2px;
        }
        &::after {
          content: "";
          position: absolute;
          left: 10px;
          width: 272px;
          height: 28px;
          bottom: 2px;
          border-left: 1px solid $bg-stepper-border-edited;
          border-right: 1px solid $bg-stepper-border-edited;
          border-bottom: 1px solid $bg-stepper-border-edited;
          background: $bg-stepper-selected;
          -moz-transform: skew(-30deg);
          -webkit-transform: skew(-30deg);
          transform: skew(-30deg);
          box-shadow: 0px 1px 2px $bg-stepper-box-shadow;
          border-bottom-left-radius: 7px;
          border-bottom-right-radius: 3px;
          border-top-right-radius: 2px;
        }
      }
    }

    .ant-steps-item-finish {
      .ant-steps-item-icon {
        background: none;
        border-color: $bt-primary-default;
      }

      .ant-steps-item-icon>.ant-steps-icon {
        color: $bt-primary-default !important;
      }

      .ant-steps-item-title {
        top:15px;
        z-index: 8;
        left: 70px;
        color: $bt-primary-default;
        font-weight: bold;
        position: absolute;
      }


      .ant-steps-item-container {
        height: 56px !important;
        text-align: center;
        position: relative !important;
        overflow: inherit !important;
        width: 300px;
        &::before {
          content: "";
          position: absolute;
          left: 10px;
          width: 272px;
          height: 28px;
          border-top: 1px solid $bg-stepper-border-active;
          border-right: 1px solid $bg-stepper-border-active;
          border-left: 1px solid $bg-stepper-border-active;
          background: $bg-stepper-selected;
          -moz-transform: skew(30deg);
          -webkit-transform: skew(30deg);
          transform: skew(30deg);
          box-shadow: 0px 1px 2px $bg-stepper-box-shadow;
          border-top-left-radius: 7px;
          border-top-right-radius: 3px;
          border-bottom-right-radius: 2px;
        }
        &::after {
          content: "";
          position: absolute;
          left: 10px;
          width: 272px;
          height: 28px;
          bottom: 2px;
          border-left: 1px solid $bg-stepper-border-active;
          border-right: 1px solid $bg-stepper-border-active;
          border-bottom: 1px solid $bg-stepper-border-active;
          background: $bg-stepper-selected;
          -moz-transform: skew(-30deg);
          -webkit-transform: skew(-30deg);
          transform: skew(-30deg);
          box-shadow: 0px 1px 2px $bg-stepper-box-shadow;
          border-bottom-left-radius: 7px;
          border-bottom-right-radius: 3px;
          border-top-right-radius: 2px;
        }
      }
    }

  }
}

.navigte-stepper {
  display: flex;
  padding-top: 20px;
  justify-content: flex-end;
}

.button-primary {
  border-radius: 8px;
  display: flex;
  align-items: center;
  padding: 10px 16px;
  font-size: 14px;
  min-height: 40px;
  background: $primary-button-color;
  margin-left: 16px;
  &-disable {
    border-radius: 8px;
    display: flex;
    align-items: center;
    padding: 10px 16px;
    font-size: 14px;
    min-height: 40px;
    background: $primary-button-color;
    margin-left: 16px;
    color: $bg-content-default;
  }
}

.button-back {
  border: 1px solid $bt-primary-default;
  border-radius: 8px;
  display: flex;
  align-items: center;
  padding: 10px 16px;
  font-size: 14px;
  min-height: 40px;
  background: $white-color;
  margin-left: 16px;
  color: $primary-button-color;
}


.scroll-page {
  width: 60vh;
  overflow-y: scroll;
}


.content {
  ::ng-deep {
    .mat-horizontal-stepper-header-container {
      display: none;
      padding: 0px;
    }
    .mat-horizontal-content-container {
      padding: 0px !important;
    }
  }

  .mat-stepper-horizontal,
  .mat-stepper-vertical {
    background-color: $background-main;
    font-family: inherit, sans-serif;
  }


}
